<!doctype html>
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">

    <link href="/static/style.css" rel="stylesheet">

    <title>URL Builder</title>
</head>
<body>
<div class="col-lg-8 mx-auto p-3 py-md-5">
    <main>
        <div class="text-center">
            <div class="container-fluid">
                <div class="row">
                    <div id="content-container" class="col-12 mt-3 col-md-8 offset-md-1">
                        <h1 class="display-5">URL Builder</h1>
                        <p class="display-6">конструктор URL-адресов</p>
                        <form action="" method="post" id="url-form" role="form" class="pt-3 mt-3 mb-3">
                            <div class="row">
                                <div class="col-12 mb-2">
                                    <h3 class="mt-4">Paste a URL / вставить URL</h3>
                                    <div class="mb-4">
                                        <input type="url" class="form-control" name="url" id="article-url"
                                               placeholder="https://currenttime.tv/a/article-slug/777.html"
                                               aria-describedby="article-url-help"
                                               value="{% if url %}{{ url }}{% endif %}" autofocus="true">
                                    </div>
                                    <div id="generated-url-container"{% if not generated_url %} class="d-none"{% endif %}>
                                        <h3 class="mt-4">Mirror URL / Зеркальный URL</h3>
                                        <div id="generated-url" data-bs-toggle="tooltip"
                                             data-bs-placement="bottom"
                                             title="Copied to clipboard">
                                            {{ generated_url }}
                                        </div>
                                    </div>
                                    <div id="error-message"></div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </main>
</div>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
        crossorigin="anonymous"></script>
<script src="/static/client.js"></script>
</body>
</html>
